/************************************************************************/

// This file is original from file manager sarah


/************************************************************************/

#ifndef	GNOME_PATH_FILE
#define	GNOME_PATH_FILE

#include	<gnome.h>
#include	<sys/stat.h>

/************************************************************************/
//			structure def ...
/************************************************************************/

/************************************************************************/
// except comments, return FALSE on error, else TRUE

// allow a new glist just with dir ( remove . .. ), NULL on error
GList	*get_dirs(gchar const *path); 
// same but return just readable dir ( user right access test )
GList	*get_dirs_with_access( gchar const *path );
// idem , just files no dif between regular and link, NULL on error

// file test ( FALSE on OK )
gboolean file_exist(gchar const *path, gchar const *name);
// dir exit ( FALSE on OK )
gboolean path_exist( gchar const *path );

mode_t get_file_type( gchar const *path, gchar const *file );
mode_t get_real_file_type( gchar const *path, gchar const *file );


#endif	GNOME_PATH_FILE
